Ubuntu

Logitech Quickcam Messenger camera microphone doesn't work

Reported by LostinSpacetime on 2007-03-19
16
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
Wishlist
Ubuntu Audio Team
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned

Bug Description

I have a Logitech Quickcam Messenger webcam with microphone. With Edgy the microphone worked perfectly. With Feisty however there's no alsa device for it. I don't know if it's alsa's fault or the kernel's. Even starting from the cd the device is missing. I'm using allways the latest kernel provided by Feisty. Please tell me if further information is needed.

Brian Murray (brian-murray) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Could you please add the output requested at https://help.ubuntu.com/community/DebuggingSoundProblems ? Thanks in advance.

Download full text (30.4 KiB)

This is the dmesg output:

[ 0.000000] Linux version 2.6.20-12-generic (root@vernadsky) (gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)) #2 SMP Sun Mar 18 03:07:14 UTC 2007 (Ubuntu 2.6.20-12.19-generic)
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] sanitize start
[ 0.000000] sanitize end
[ 0.000000] copy_e820_map() start: 0000000000000000 size: 000000000009f000 end: 000000000009f000 type: 1
[ 0.000000] copy_e820_map() type is E820_RAM
[ 0.000000] copy_e820_map() start: 000000000009f000 size: 0000000000001000 end: 00000000000a0000 type: 2
[ 0.000000] copy_e820_map() start: 00000000000f0000 size: 0000000000010000 end: 0000000000100000 type: 2
[ 0.000000] copy_e820_map() start: 0000000000100000 size: 000000001fef0000 end: 000000001fff0000 type: 1
[ 0.000000] copy_e820_map() type is E820_RAM
[ 0.000000] copy_e820_map() start: 000000001fff0000 size: 0000000000003000 end: 000000001fff3000 type: 4
[ 0.000000] copy_e820_map() start: 000000001fff3000 size: 000000000000d000 end: 0000000020000000 type: 3
[ 0.000000] copy_e820_map() start: 00000000fec00000 size: 0000000000001000 end: 00000000fec01000 type: 2
[ 0.000000] copy_e820_map() start: 00000000fee00000 size: 0000000000001000 end: 00000000fee01000 type: 2
[ 0.000000] copy_e820_map() start: 00000000ffff0000 size: 0000000000010000 end: 0000000100000000 type: 2
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
[ 0.000000] BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000001fff0000 (usable)
[ 0.000000] BIOS-e820: 000000001fff0000 - 000000001fff3000 (ACPI NVS)
[ 0.000000] BIOS-e820: 000000001fff3000 - 0000000020000000 (ACPI data)
[ 0.000000] BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
[ 0.000000] BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[ 0.000000] BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
[ 0.000000] 0MB HIGHMEM available.
[ 0.000000] 511MB LOWMEM available.
[ 0.000000] Entering add_active_range(0, 0, 131056) 0 entries of 256 used
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0 -> 4096
[ 0.000000] Normal 4096 -> 131056
[ 0.000000] HighMem 131056 -> 131056
[ 0.000000] early_node_map[1] active PFN ranges
[ 0.000000] 0: 0 -> 131056
[ 0.000000] On node 0 totalpages: 131056
[ 0.000000] DMA zone: 32 pages used for memmap
[ 0.000000] DMA zone: 0 pages reserved
[ 0.000000] DMA zone: 4064 pages, LIFO batch:0
[ 0.000000] Normal zone: 991 pages used for memmap
[ 0.000000] Normal zone: 125969 pages, LIFO batch:31
[ 0.000000] HighMem zone: 0 pages used for memmap
[ 0.000000] DMI 2.2 present.
[ 0.000000] ACPI: RSDP (v000 Nvidia ) @ 0x000f6b00
[ 0.000000] ACPI: RSDT (v001 Nvidia AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x1fff3000
[ 0.000000] ACPI: FADT (v001 Nvidia AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x1fff3040
[ 0.000000] ACPI: MADT (v001 Nvidia AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x1fff79...

Download full text (7.5 KiB)

Bus 001 Device 003: ID 046d:08f0 Logitech, Inc. QuickCam Messenger
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 255 Vendor Specific Class
  bDeviceSubClass 255 Vendor Specific Subclass
  bDeviceProtocol 255 Vendor Specific Protocol
  bMaxPacketSize0 8
  idVendor 0x046d Logitech, Inc.
  idProduct 0x08f0 QuickCam Messenger
  bcdDevice 1.00
  iManufacturer 0
  iProduct 1 Camera
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 173
    bNumInterfaces 3
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 255 Vendor Specific Subclass
      bInterfaceProtocol 255 Vendor Specific Protocol
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0000 1x 0 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0001 1x 1 bytes
        bInterval 16
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 1
      bNumEndpoints 2
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 255 Vendor Specific Subclass
      bInterfaceProtocol 255 Vendor Specific Protocol
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x03ff 1x 1023 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0001 1x 1 bytes
        bInterval 16
    Int...

Read more...

Names of available sound cards:
nForce2

This is my onboard sound card. As I already told, ALSA doesn't recognize the sound device of the camera with Feisty. I had no problems using Edgy. I don't think there is a configuration problem on my computer since I booted from the installation cd and "asoundconf list" showed me only the onboard sound.

ALSA Audio Debug v0.1.0 - Mit Mär 21 11:30:40 CET 2007
http://alsa.opensrc.org/aadebug
http://www.gnu.org/licenses/gpl.txt

Kernel ----------------------------------------------------
Linux quijote 2.6.20-12-generic #2 SMP Sun Mar 18 03:07:14 UTC 2007 i686 GNU/Linux

Loaded Modules --------------------------------------------
snd_usb_audio 79744 0
snd_intel8x0 34204 1
snd_ac97_codec 98336 1 snd_intel8x0
snd_pcm_oss 44544 0
snd_mixer_oss 17408 1 snd_pcm_oss
snd_pcm 79876 4 snd_usb_audio,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_seq_dummy 4740 0
snd_seq_oss 32896 0
snd_seq_midi 9600 0
snd_seq_midi_event 8448 2 snd_seq_oss,snd_seq_midi
snd_usb_lib 17280 1 snd_usb_audio
snd_rawmidi 25472 2 snd_seq_midi,snd_usb_lib
snd_hwdep 9988 1 snd_usb_audio
snd_seq 52592 6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_timer 23684 2 snd_pcm,snd_seq
snd_seq_device 9100 5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
snd 54020 14 snd_usb_audio,snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_hwdep,snd_seq,snd_timer,snd_seq_device
snd_page_alloc 10888 2 snd_intel8x0,snd_pcm

Modprobe Conf ---------------------------------------------
Warning: module config file does not exist
This means any kernel modules will not be auto loaded
See your linux distro docs on how to create this file

Proc Asound -----------------------------------------------
cat: /proc/asound/{version,cards,devices,hwdep,pcm,seq/clients}: No such file or directory

Dev Snd ---------------------------------------------------
controlC0 pcmC0D0c pcmC0D0p pcmC0D1c pcmC0D2p seq timer

CPU -------------------------------------------------------
model name : AMD Athlon(tm)
cpu MHz : 1965.165

RAM -------------------------------------------------------
MemTotal: 515992 kB
SwapTotal: 554200 kB

Hardware --------------------------------------------------
00:00.0 Host bridge: nVidia Corporation nForce2 AGP (different version?) (rev c1)
00:05.0 Multimedia audio controller: nVidia Corporation nForce Audio Processing Unit (rev a2)
00:06.0 Multimedia audio controller: nVidia Corporation nForce2 AC97 Audio Controler (MCP) (rev a1)
01:08.0 Multimedia audio controller: Creative Labs SB X-Fi

Changed in linux-source-2.6.20:
importance: Undecided → Medium
status: Unconfirmed → Confirmed

I had the same problem with my Quickcam Messenger microphone. I added an explicit USB ID entry for the Quickcam Messenger in usbquirks.h and now everything works. A patch is attached.

-- Sergio

Thank You Sergio. Unfortunately I don't know exactly how I can use the patch. Probably I need to copy it in a certain folder and recompile the kernel. Do I have to do that every time I get a new kernel?

Marco Cimmino (cimmo) wrote :

same here: worked in Edgy, broken in Feisty :(
Will produce later all files requested.

Marco Cimmino (cimmo) wrote :
Marco Cimmino (cimmo) wrote :
Marco Cimmino (cimmo) wrote :
Marco Cimmino (cimmo) wrote :
Marco Cimmino (cimmo) wrote :
Marco Cimmino (cimmo) wrote :
Marco Cimmino (cimmo) wrote :
Oscar Perez (oskari.perez) wrote :

Hi, I have the exactly same problem with _EXACTLY_ same model ID 046d:08f0 Logitech, Inc. QuickCam Messenger
attached are the required files. thank you guys! btw, the only known solution is to recompile the kernel? :(

Oscar Perez (oskari.perez) wrote :
Oscar Perez (oskari.perez) wrote :

the rest of the files as a zip file :)

gglaboussole (alpalaya) wrote :

For information this concerns Gentoo too...
Take a look at my bug report :
http://bugs.gentoo.org/show_bug.cgi?id=175715

Hi,

Just to let you know, I created a patch which fixes the problem under
Ubuntu. The same patch may fix the problem under Gentoo, also. The problem
is with the USB audio driver. I simply added a usb device entry which
explicitly calls out the vendor and product ID's for the Quickcam Messenger.

The patch is attached to the Ubuntu bug report.

-- Sergio

On 4/27/07, gglaboussole <email address hidden> wrote:
>
> For information this concerns Gentoo too...
> Take a look at my bug report :
> http://bugs.gentoo.org/show_bug.cgi?id=175715
>
> --
> Logitech Quickcam Messenger camera microphone doesn't work
> https://bugs.launchpad.net/bugs/93822
> You received this bug notification because you are a direct subscriber
> of the bug.
>

gglaboussole (alpalaya) wrote :

Thank you very much sergio for four path : it works fine !
I have posted your solution on Gentoo bugzilla

Marco Cimmino (cimmo) wrote :

sergiom:
yes your patch works, what let me confused is this:

I've downloaded alsa 1.0.11, .12, .13 and .14rc3 and in all of these in usbquirks.h file there is no mention about 0x46d (Logitech) or 0x8f0 (our Quickcam Messanger model) so my question is: why in previous kubuntu 6.10 our webcam worked perfectly (in alsa I mean) and now not? Probably cause another patch and we have to look at this.
In other words: your patch make it back to work, but why previously worked without that part?

Marco Cimmino (cimmo) wrote :

opened alsa bug:
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3040

hope to have a correct answer and an official patch :)

sergiom (sergiom-gmail) wrote :

Cimmo,

The change to usbquirks.h works, but there's probably a better fix for the
problem. This is the first time that I get into the USB code. In
usbaudio.c there is an array called usb_audio_ids. The usbquirks.h include
fills in the top part of the array. The last entry has two match flags
set: USB_DEVICE_ID_MATCH_INT_CLASS and USB_ID_MATCH_INT_SUBCLASS. The
interface class is USB_CLASS_AUDIO and the subclass in
USB_SUBCLASS_AUDIO_CONTROL. I interpret this entry as meaning that the usb
audio driver should for any usb device which has the matching the interface
class and subclass. The vendor ID and product ID shouldn't be taken into
account as the usb device is of USB_AUDIO_CLASS and
USB_SUBCLASS_AUDIO_CONTROL.

The quickcam messenger microphone usb device matches the class and subclass,
but it didn't work for some reason. I added the usb id entry which
explicitly calls out the vendor and product ID and then it worked. This
sort of doesn't make sense because I included the class and subclass in the
match_flags.

I would guess that there is a bug somewhere in more general usb code that is
responsible for processing the usb_device_id array. It seems like the
match_flags may not be interpreted correctly under certain conditions. I
would also guess that the problem is not related to ALSA.

I'll try to dig into this somemore when I get some time.

-- Sergio

On 4/27/07, Cimmo <email address hidden> wrote:
>
> opened alsa bug:
> https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3040
>
> hope to have a correct answer and an official patch :)
>
> --
> Logitech Quickcam Messenger camera microphone doesn't work
> https://bugs.launchpad.net/bugs/93822
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Maurice (m1625) wrote :

Please help! I am a 82 year old newbie. All I want is for my Logitech Quickcam Messenger to work with Feisty. I've never been able to get it to work with Edgy either. I must have spent at least 10 hours following various recommended installation procedures from the web, which all claim to work. But, none of them have worked for me! Could someone post a step by step sequence of actions required to make this nasty little monster with blank/black eyes come to life for me! (Note: EasyCam2 has been installed, but fails with a "Make Install' error after clicking the "starting installation" button, but it does recognize the camera (model ID 046d:08f0)

Marco Cimmino (cimmo) wrote :

82 really? If true then my compliments.

However I haven't understood your problem: is audio, video or both? Because with this webcam I had mic and NO video in Edgy and now in Feisty I have video but NO mic, a little funny but true.
Solution to get mic back is to recompile a lot of stuff, but probably sergiom can provide to us the compiled module snd-usb-audio.ko to us that has his temporary patch.

Maurice (m1625) wrote :

Cimmo, thanks. Neither video or audio work for me. My suspicion is that my TV adapter card, a Hauppauge winTV2000 is in conflict with the webcam. Both appear to need /dev/video0. Is there any way around this? Thanks for the compliments! The old ticker keeps on running, thank goodness! But I'm still a linux-challenged newbie.

Andrew Turner (tekn0t) wrote :

Maurice,

Thank you for your input, but please be aware that this is not a discussion forum, but a bug report for a specific issue. I would advise that you post your problem to either the Ubuntu Forums or the Ubuntu User mailing list, after first searching the archives for similar problems. If you believe your problem is the result of a bug that has not yet been reported, then please submit a seperate bug report.

Marco Cimmino (cimmo) wrote :

Patch was accepted by Alsa, compliments sergiom! :)
http://mailman.alsa-project.org/pipermail/alsa-devel/2007-April/000729.html

I'll attach it here.

FOR Ubuntu Audio Team:

we have:
- opened bug in Ubuntu Malone
- provided a patch
- opened bug in alsa bug tracking system
- patch accepted

now can we have a debdiff for kernel package and let it reach next kernel update for Feisty? It's the only thing we ask now.

Thanx

sergiom (sergiom-gmail) wrote :

Per Cimmo's request, I am attaching a compiled usb audio module which includes the patch.

filename: snd-usb-audio.ko
license: GPL
description: USB Audio
author: Takashi Iwai <email address hidden>
srcversion: 5507767417B96F7F99C420D
depends: usbcore,snd-usb-lib,snd-pcm,snd,snd-hwdep
vermagic: 2.6.20.15-generic SMP mod_unload 586

Andrew Turner (tekn0t) wrote :

The patch, as it stands, doesn't work for me as my Quickcam Messenger has idProduct = 0x08f6. Obviously I can edit the patch to meet my requirements, but can we have a patch that will catch both id's? I don't know if any other idProduct codes exist for the camera also...?

Marco Cimmino (cimmo) wrote :

Andrew:

did your webcam mic worked with Edgy? If yes you have a variant of this bug, post your idproduct in the alsa bug I have opened or tell me that I can do it for you.

Andrew Turner (tekn0t) wrote :

Yes, it did work with Edgy. I have added my idProduct to the ALSA bug.

Thanks

obibann (obibann) wrote :

Hi, I don't know if it will help, but I had no problem with my quickcam under feisty amd64( I plugged, it worked). The problem appears when I installed Feisty x86 32.
So, I think the 32 bits Feisty Kernel has a bug that is not present in the 64 bits version.

Hopping this may help,
Obibann.

Marco Cimmino (cimmo) wrote :

obibann please specify your webcam id and you are talking about mic?
If yes post it to my alsa bug ;)

Marco Cimmino (cimmo) wrote :

I don't confirm obibann comment, tried Feisty 64 bit live and I have the same problem with the 32 bit so I consider patches provided still good.

Marco Cimmino (cimmo) wrote :

this is the second patch for the quickcam variant with id: 0x08f6
http://mailman.alsa-project.org/pipermail/alsa-devel/2007-May/000787.html

attached.

ubuntu audio team is lost?

Andrew Turner (tekn0t) wrote :

I can confirm that the above patch #2 (for Product id: 0x08f6) works for me on my 32bit Feisty.

Cheers!

hmfm (hmfm77-utnubu) wrote :

Hi...

I add exactly the same problem. Camera micro stop working after installing Feisty. I see you solved the problem with the patch, but... How do I install it? Sorry, but I'm an intermediate user, but don't understand terminal much of programming...

Thanks in advance.

Andrew Turner (tekn0t) wrote :

You need to download the kernel source code, patch it using the patch supplied here, and recompile it...search the forums for tips on how to do this if you are interested. I have attached a 32bit compiled usb audio module which includes patch #2 (for product id 0x08f6 - if you have a camera with product id 08f0, then there is a compiled module posted somewhere above) so you don't need to do any patching/compiling yourself. Just drop it into /lib/modules/2.6.20-15-generic/kernel/sound/usb/

Daniel T Chen (crimsun) wrote :

Please post an sha1sum for any publicly available binary module to which you link.

Changed in linux-source-2.6.20:
importance: Medium → Wishlist
status: Confirmed → Fix Committed
Andrew Turner (tekn0t) wrote :

sha1sum for Compiled USB Audio Module (Patch #2): fb54ce332024f25c57c284e59b2668f46467f07e

Marco Cimmino (cimmo) wrote :

Daniel, both patches were applied? Next ubuntu kernel will have it?

thanx

FreqMod (freqmod) wrote :

Hi, I have got the same error for lsusb: "Bus 002 Device 002: ID 046d:0850 Logitech, Inc. QuickCam Web" and modifying the pid in the patch to match that device and applying the patch fixes that error too.

Marco Cimmino (cimmo) wrote :

FreqMod:
lsusb just list all usb devices, that message is NOT an error!

Did you suffer the same problem "mic not working?" Does the patch modified by you make worked again?

If yes post the pid into the alsa bug report opened by me, see previous messages.

FreqMod (freqmod) wrote :

Yes, that device suffers from the same problem (and fix). I will add it to the alsa bug report.

Marco Cimmino (cimmo) wrote :

three patched reached already kernel 2.6.22 so this bug will be fixed in Gutsy for sure, see:
http://kernel.org/pub/linux/kernel/v2.6/testing/ChangeLog-2.6.22-rc1
http://kernel.org/pub/linux/kernel/v2.6/testing/ChangeLog-2.6.22-rc2

search for "logitech" and you will see

Marco Cimmino (cimmo) wrote :

I have compiled new alsa 1.0.14 against kernel 2.6.20-16-generic (i386) from ubuntu and this is the new snd-usb-audio.ko module that should support all the three quickcams that have problems before, please backup your previous module so if there are problems with mine you can restore it

MD5: 98bf0aa82e913b073b54fe89d609ff81 snd-usb-audio.ko

I really don't know if this module can work with alsa present in ubutnu (that is not 1.0.14 final) but if it works then let know us here.
File should be placed into: /lib/modules/2.6.20-16-generic/kernel/sound/usb

rafiks (rafiks) wrote :

Hi! been lurking here for a while and this thread has been such a great help. Even though I am not a Ubuntu hard core user ,I really appreciate your work here. I have Debian sid on my Desktop PC and I do have some old edgy cd's here lying around and I tried it a bit but I kinda like the flexibility to choose my own gui. I have Fluxbox btw.

Anyway,I've been trying to fix my webcam . Bus 002 Device 002: ID 046d:08f6 Logitech, Inc.
I have the latest stable kernel 2.6.21.5 .I got the video to work and I also got the alsa module to load and recognize my webcam. I got alsamixer to function..

But when i try arecord..

 arecord -f cd -d 20 -D hw:1,0 test.wav
Recording WAVE 'test.wav' : Signed 16 bit Little Endian, Rate 44100 Hz, Stereo
arecord: set_params:905: Channels count non available

I tried different variations like setting channel count itself ..same result

 arecord -c 1 -f cd -d 20 -D hw:1,0 test.wav
Recording WAVE 'test.wav' : Signed 16 bit Little Endian, Rate 44100 Hz, Stereo
arecord: set_params:905: Channels count non available

Hope somebody can figure this out...

rafiks (rafiks) wrote :

Ok.. I tried rebooting .. it worked ..how stupid!

yacknow (gtducati) wrote :

Cimmo,

I just tried your audio module from 2007-06-05 with alsa 1.0.13 with kernel 2.6.20-16-generic (i386) ... no such luck. Anyway you could provide something for alsa 1.0.13 with the same kernel? Has anyone had the same result?

This bug report was marked "Fix Committed" a while ago but there hasn't been any recent activity. Can someone verify this bug has been resolved in Gutsy and we'll go ahead and mark this bug report as "Fix Released". Thanks in advance.

Changed in linux-source-2.6.22:
status: New → Incomplete
Marco Cimmino (cimmo) wrote :

ok in gutsy for this quickcam messenger:
ID 046d:08f0 Logitech, Inc. QuickCam Messenger

Justin Vermillion (jmvermil) wrote :

This is still an issue in Gutsy for product ID 08d9 (Quickcam IM/Connect).

I'm still a bit of a newbie, and am wary of recompiling the kernel just to fix this one little glitch. Suggestions?

Marco Cimmino (cimmo) wrote :

Justin this bug talk about quickcam messenger not other webcams, if you have problems with yours search the appropriate bug or file a new one

Justin Vermillion (jmvermil) wrote :

It is my opinion that the Quickcam Messenger and IM/Connect use the same device drivers, and are therefore interchangeable.

Anyway, I recompiled the kernel modules with the official ALSA patch, being sure to change the product id to 08d9. After installing the new snd-usb-audio.ko, the same error message continues to be reported.

Hi Justin,

Please test against the latest Hardy Alpha release. If the issue still exists, please open a new bug report against the 'linux' source package. The Hardy Heron Alpha series was recently released which contains an updated version of the kernel. You can download and try the new Hardy Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ . General information regarding the release can also be found here: http://www.ubuntu.com/testing/ . Thanks

Changed in linux-source-2.6.22:
status: Incomplete → Fix Released
Changed in linux-source-2.6.20:
status: Fix Committed → Fix Released
Laurent Dinclaux (dreadlox) wrote :

Regression: in Natty the Quicam Messenger mic is recognize and shows up in sound preferences but levels do not move as I speak.

Nothing in logs ...

Tim Gardner (timg-tpi) on 2011-12-15
Changed in linux-firmware (Ubuntu):
status: New → Invalid
To post a comment you must log in.